com.verisign.epp.codec.registry

## Class EPPRegistryGracePeriod

- java.lang.Object
- - com.verisign.epp.codec.registry.EPPRegistryPeriodType
  - - com.verisign.epp.codec.registry.EPPRegistryGracePeriod

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryGracePeriod
      extends EPPRegistryPeriodType

  Defines the grace periods by operation type. The required "command" attribute defines the operation type with the sample values of "create", "renew", "transfer", and "autoRenew". The <registry:gracePeriod> element requires the "unit" attribute with the possible values of "d" for day, "h" for hour, and "m" for minute.
  See Also:
    `EPPRegistryDomain`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTR_COMMAND` XML attribute name for the `command` attribute.
    `protected java.lang.String` | `command` EPP transform command to which this period applies
    `static java.lang.String` | `ELM_NAME` XML Element Name of `EPPRegistryGracePeriod` root element.

    - ### Fields inherited from class com.verisign.epp.codec.registry.EPPRegistryPeriodType

      `number, PERIOD_UNIT_DAY, PERIOD_UNIT_HOUR, PERIOD_UNIT_MONTH, PERIOD_UNIT_YEAR, rootName, unit, VALID_UNITS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryGracePeriod()` Default constructor.
    `EPPRegistryGracePeriod(java.lang.String command, java.lang.Integer number, java.lang.String unit)` Constructs an instance of `EPPRegistryGracePeriod` with `command`, `number` and `unit`.
    `EPPRegistryGracePeriod(java.lang.String command, int number, java.lang.String unit)` Constructs an instance of `EPPRegistryGracePeriod` with `command`, `number` and `unit`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryGracePeriod` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryGracePeriod` instance.
    `boolean` | `equals(java.lang.Object aObject)`
    `java.lang.String` | `getCommand()` Get the EPP transform command to which this period applies.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `void` | `setCommand(java.lang.String command)` Set the EPP transform command to which this period applies.

    - ### Methods inherited from class com.verisign.epp.codec.registry.EPPRegistryPeriodType

      `clone, getNumber, getRootName, getUnit, setNumber, setUnit, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML Element Name of `EPPRegistryGracePeriod` root element.
      See Also:
        Constant Field Values

    - #### ATTR_COMMAND

          public static final java.lang.String ATTR_COMMAND

      XML attribute name for the `command` attribute.
      See Also:
        Constant Field Values

    - #### command

          protected java.lang.String command

      EPP transform command to which this period applies

  - ### Constructor Detail

    - #### EPPRegistryGracePeriod

          public EPPRegistryGracePeriod()

      Default constructor. Must call `EPPRegistryPeriodType.setNumber(Integer)`, `EPPRegistryPeriodType.setUnit(String)` and `setCommand(String)` before calling `encode(Document)` method.

    - #### EPPRegistryGracePeriod

          public EPPRegistryGracePeriod(java.lang.String command,
                                        java.lang.Integer number,
                                        java.lang.String unit)

      Constructs an instance of `EPPRegistryGracePeriod` with `command`, `number` and `unit`.
      Parameters:
        `command` - EPP command to which this period applies
        `number` - number must be > 0
        `unit` - unit must be one of "d", "h" or "m"

    - #### EPPRegistryGracePeriod

          public EPPRegistryGracePeriod(java.lang.String command,
                                        int number,
                                        java.lang.String unit)

      Constructs an instance of `EPPRegistryGracePeriod` with `command`, `number` and `unit`.
      Parameters:
        `command` - EPP command to which this period applies
        `number` - number must be > 0
        `unit` - unit must be one of "d", "h" or "m"

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryGracePeriod` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Overrides:
        `encode` in class `EPPRegistryPeriodType`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPRegistryGracePeriod` instance.
      Throws:
        `EPPEncodeException` - - Unable to encode `EPPRegistryGracePeriod` instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPRegistryGracePeriod` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Overrides:
        `decode` in class `EPPRegistryPeriodType`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryGracePeriod` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Overrides:
        `equals` in class `EPPRegistryPeriodType`

    - #### getCommand

          public java.lang.String getCommand()

      Get the EPP transform command to which this period applies.
      Returns:
        EPP transform command to which this period applies

    - #### setCommand

          public void setCommand(java.lang.String command)

      Set the EPP transform command to which this period applies.
      Parameters:
        `command` - EPP transform command to which this period applies

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Returns:
        XML namespace for the `EPPCodecComponent`.